%define upstream_name    IO-Socket-Multicast
%define upstream_version 1.12

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 7

Summary:        Send and receive multicast messages
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRequires:  perl(IO::Interface)


%description
IO::Socket::Multicast is designed to take the effort out of managing
some multicast network.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README  META.yml
%{perl_vendorarch}/IO
%{perl_vendorarch}/auto/IO
%{_mandir}/man*/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.120.0-7.mga4
+ Revision: 524588
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.120.0-6.mga4
+ Revision: 431232
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-5.mga3
+ Revision: 368542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.120.0-4.mga3
+ Revision: 250786
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.120.0-3.mga2
+ Revision: 104707
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.120.0-2.mga1
+ Revision: 32099
- mageia rebuild
- imported package perl-IO-Socket-Multicast


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-2mdv2011.0
+ Revision: 555964
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2011.0
+ Revision: 552324
- update to 1.12

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.1
+ Revision: 461297
- update to 1.11

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 396357
- adding missing buildrequires:
- wrongly changed extension
- adding missing buildrequires:
- using %%perl_convert_version

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.07

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.05-5mdv2009.0
+ Revision: 257316
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.05-3mdv2008.1
+ Revision: 152121
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-2mdv2008.0
+ Revision: 86509
- rebuild


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.0
- New version 1.05
- spec cleanup
- better summary
- drop explicit provides

* Thu Jun 22 2006 Erwan Velu <erwan@seanodes.com> 1.04-3
- Rebuild

* Mon Feb 20 2006 Erwan Velu <erwan@seanodes.com> 1.04-2mdk
- Wrong spec name

* Mon Feb 06 2006 Erwan Velu <erwan@seanodes.com> 1.04-1mdk
- 1.04

